import type { UmbControllerHost } from '../../../../../libs/controller-api/index.js';
import { UmbContextBase } from '../../../../../libs/class-api/index.js';
export declare class UmbEntityContentTypeEntityContext extends UmbContextBase {
    #private;
    readonly entityType: import("rxjs").Observable<string | undefined>;
    readonly unique: import("rxjs").Observable<string | undefined>;
    constructor(host: UmbControllerHost);
    getEntityType(): string | undefined;
    setEntityType(entityType: string | undefined): void;
    getUnique(): string | undefined;
    setUnique(unique: string | undefined): void;
}
